-- Created by NuclearTonic
-- The use of this code requires the permission of the author.
-- Permission can be atained by contacting NuclearTonic at: TonicBars@gmail.com
--
-- RESPECT!

import "Tonic.Utils.Type";
import "Tonic.TonicBars.Bars.BarManager";
import "Tonic.TonicBars.SettingsManager";
import "Tonic.TonicBars.Events.EventManager";
import "Tonic.TonicBars.Events.InventoryManager";
import "Tonic.TonicBars.Localization.Localizer";
import "Tonic.TonicBars.Menu.MainMenu";
import "Tonic.TonicBars.Enumerations";
import "Tonic.TonicBars.DefaultConfiguration.ConfigurationHelper";

import "Tonic.Utils.Table";

DISPLAYWIDTH = Turbine.UI.Display.GetWidth();
DISPLAYHEIGHT = Turbine.UI.Display.GetHeight();

function GetPlayer()
	player = Turbine.Gameplay.LocalPlayer.GetInstance();
	playerClass = player:GetClass();
	playerClassAttributes = player:GetClassAttributes();
	realClassSet = true;
end
if ( pcall( GetPlayer ) == false ) then
	player = Turbine.Gameplay.LocalPlayer();
end
	
maitre_d = nil;
mc = nil;
menu = nil;
theSettingsManager = SettingsManager();

Turbine.Shell.WriteLine( "----------------------------" );
Turbine.Shell.WriteLine( "MysticBars " .. THEVERSION .. " from MyysticOwl" );
Turbine.Shell.WriteLine( "usage: /tb; /TonicBars; /mb; /MysticBars" );
Turbine.Shell.WriteLine( "----------------------------" );

shellCommand = Turbine.ShellCommand()
function shellCommand:Execute(command, arguments)
	Turbine.PluginManager.ShowOptions(Plugins["TonicBars"]);
end
Turbine.Shell.AddCommand('tb;tonicbars;TonicBars;mb;mysticbars;MysticBars', shellCommand);

if ( playerClass == nil ) then
	local settings = theSettingsManager:GetSettings();
	if ( settings.playerClass == nil ) then
		settings.playerClass = 162;
	end
	playerClass = settings.playerClass;

	Turbine.Shell.WriteLine("Player is: " .. playerClass)

end

-- Load Events
eventManager = Tonic.TonicBars.Events.EventManager();
inventoryManager = Tonic.TonicBars.Events.InventoryManager();

-- Load Localization Settings.
theLocalizer = Tonic.TonicBars.Localization.Localizer();
theLocalizer:LoadLocalizedEvents();
LOCALESTRINGS = theLocalizer:GetStrings();

eventManager:StartManager(); -- Start watching for effects.

maitre_d = Tonic.TonicBars.Bars.BarManager();
inventoryManager:NotifyClients();

configHelper = Tonic.TonicBars.DefaultConfiguration.ConfigurationHelper(); -- Start default configuration Helper
import "Tonic.TonicBars.DefaultConfiguration.MainConfig"
mc = Tonic.TonicBars.DefaultConfiguration.MainConfig();
mc:CheckConfiguration();

menu = Tonic.TonicBars.Menu.MainMenu();

plugin.GetOptionsPanel = function( self )
  return menu;
end

maitre_d:UpdateBarExtensions();

Turbine.Plugin.Unload = function(self, sender, args)
	for key, value in pairs (maitre_d.GetBars()) do
		value:ClearQuickslots();
	end
end